/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-29
 * 描述            ：工器具-刀片使用-刀片组
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevBladeUseGrpMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_BLADE_USE_GRP", namespace=DevBladeUseGrpMapper.class)
public class DevBladeUseGrp extends BaseVO implements Serializable {
	
	private String coil_detail;
	
	public String getCoil_detail() {
		return coil_detail;
	}
	public void setCoil_detail(String coil_detail) {
		this.coil_detail = coil_detail;
	}

	/** 
	 * 机台代码
	 */ 
	@Id
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 作业日期
	 */ 
	@Id
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（1晚、2白、3中）
	 */ 
	@Id
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 分组代码
	 */ 
	@Id
	private String grp_code;
	public String getGrp_code() {
		return this.grp_code;
	}
	public void setGrp_code(String grp_code) {
		this.grp_code = grp_code;
	}

	/** 
	 * 分组名称
	 */ 
	@Column
	private String grp_name;
	public String getGrp_name() {
		return this.grp_name;
	}
	public void setGrp_name(String grp_name) {
		this.grp_name = grp_name;
	}

	/** 
	 * 显示顺序
	 */ 
	@Column
	private Long dsp_order;
	public Long getDsp_order() {
		return this.dsp_order;
	}
	public void setDsp_order(Long dsp_order) {
		this.dsp_order = dsp_order;
	}

	/** 
	 * 使用次数（切割卷数）
	 */ 
	@Column
	private Long use_times;
	public Long getUse_times() {
		return this.use_times;
	}
	public void setUse_times(Long use_times) {
		this.use_times = use_times;
	}

	/** 
	 * 累计使用次数（上次修磨后）
	 */ 
	@Column
	private Long acm_use_times;
	public Long getAcm_use_times() {
		return this.acm_use_times;
	}
	public void setAcm_use_times(Long acm_use_times) {
		this.acm_use_times = acm_use_times;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
